Subject: Re: bug#72762: 30.0.60; Incorrect rendering of the completion-preview mode

From: Eshel Yaron <[email-masked]>
Date: Wed, 04 Sep 2024 19:02:16 +0200

Eshel Yaron writes:

[...]
> An arguably nicer solution is to give the completion preview overlay
> higher priority, so it is displayed before the "[Incomplete Command]"
> message.  However, we don't always want to give the completion preview
> overlay a positive priority, since that may lead to incorrect results in
> other scenarios.  What we can do is to add a variable that specifies the
> overlay priority, so you can set it just where appropriate.
>
> Eli, is the following alright for Emacs 30, or should this go on the
> master branch?

Pushed to master for now, with some additional commentary, in commit a13eef1fae0.

Best,

Eshel